elm::segment_control Struct Reference

Public Member Functions
elm::segment_control Struct Reference

Class segment_control. More...

## Public Member Functions
| segment_control (Eo *eo)
| Eo Constructor. More...
| segment_control (std::nullptr_t)
| nullptr_t Constructor. More...
| segment_control (segment_control const &other)
| Copy Constructor.
::efl::eina::string_view | item_label_get (int idx_) const
::elm::widget_item | item_insert_at (::evas::object icon_, ::efl::eina::optional< ::efl::eina::string_view > label_, int idx_) const
::elm::widget_item | item_get (int idx_) const
void | item_del_at (int idx_) const
::elm::widget_item | item_add (::evas::object icon_, ::efl::eina::optional< ::efl::eina::string_view > label_) const
::evas::object | item_icon_get (int idx_) const
| segment_control (::efl::eo::parent_type _p)
| Constructs a new elm::segment_control object. More...

## Detailed Description

Class segment_control.

## Constructor & Destructor Documentation

## ◆ segment_control() [1/3]

elm::segment_control::segment_control | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::segment_control object.

Constructs a new elm::segment_control object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::segment_control my_segment_control(efl::eo::parent = parent_object);

See also
  segment_control(Eo* eo)

## ◆ segment_control() [2/3]

elm::segment_control::segment_control | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ segment_control() [3/3]

elm::segment_control::segment_control | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ item_add()

::elm::widget_item elm::segment_control::item_add | ( | ::evas::object | icon_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | label_
| ) |  | const

Parameters

  icon |
  label |

## ◆ item_del_at()

void elm::segment_control::item_del_at | ( | int | idx_ | ) | const

Parameters

  idx |

## ◆ item_get()

::elm::widget_item elm::segment_control::item_get | ( | int | idx_ | ) | const

Parameters

  idx |

## ◆ item_icon_get()

::evas::object elm::segment_control::item_icon_get | ( | int | idx_ | ) | const

Parameters

  idx |

## ◆ item_insert_at()

::elm::widget_item elm::segment_control::item_insert_at | ( | ::evas::object | icon_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | label_,
|  | int | idx_
| ) |  | const

Parameters

  icon |
  label |
  idx |

## ◆ item_label_get()

::efl::eina::string_view elm::segment_control::item_label_get | ( | int | idx_ | ) | const

Parameters

  idx |